CMSIS-FreeRTOS: Stream Buffer Functions

| CMSIS-FreeRTOS Version 10.5.1 CMSIS-RTOS2 compliant FreeRTOS Implementation

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
Stream Buffer Functions
Event functions

Events generated by Stream Buffer and Message Buffer functions. More...

## Functions
void | EvrFreeRTOSStreamBuf_StreamBufferCreateFailed (uint32_t uxIsMessageBuffer)
| Event on unsuccessful stream buffer object create (Error) More...
void | EvrFreeRTOSStreamBuf_StreamBufferCreateStaticFailed (StreamBuffer_t pxStreamBuffer, uint32_t uxIsMessageBuffer)
| Event on unsuccessful stream buffer object create (Error) More...
void | EvrFreeRTOSStreamBuf_StreamBufferCreate (StreamBuffer_t pxStreamBuffer, uint32_t uxIsMessageBuffer)
| Event on successful stream buffer object create (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferDelete (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer object delete (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferReset (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer object reset (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferBlockingOnSend (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer send when buffer is full and sending task is blocked (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferSend (StreamBuffer_t pxStreamBuffer, uint32_t xBytesSent)
| Event on stream buffer send when data is successfully copied into the buffer (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferSendFailed (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer send when data is not copied into the buffer (Error) More...
void | EvrFreeRTOSStreamBuf_StreamBufferSendFromIsr (StreamBuffer_t pxStreamBuffer, uint32_t xBytesSent)
| Event on stream buffer send from ISR when data is successfully copied into the buffer (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferBlockingOnReceive (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer receive when buffer is empty and receiving task is blocked (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferReceive (StreamBuffer_t pxStreamBuffer, uint32_t xReceivedLength)
| Event on stream buffer receive when data is successfully copied from the buffer (Op) More...
void | EvrFreeRTOSStreamBuf_StreamBufferReceiveFailed (StreamBuffer_t pxStreamBuffer)
| Event on stream buffer receive when data is not copied from the buffer (Error) More...
void | EvrFreeRTOSStreamBuf_StreamBufferReceiveFromIsr (StreamBuffer_t pxStreamBuffer, uint32_t xReceivedLength)
| Event on stream buffer receive from ISR when data is successfully copied from the buffer (Op) More...

## Description

## Function Documentation

void EvrFreeRTOSStreamBuf_StreamBufferBlockingOnReceive | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferBlockingOnReceive is generated when Stream Buffer receive is blocked to wait for data to be available.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferBlockingOnSend | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferBlockingOnSend is generated when Stream Buffer send is blocked to wait for free space in the buffer.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferCreate | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | uxIsMessageBuffer
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | uxIsMessageBuffer | buffer type designator (0:stream, 1:message).

The event StreamBufferCreate is generated when Stream Buffer object was successfully created.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.
- uxIsMessageBuffer : buffer type designator, 0 for stream buffer and 1 for message buffer.

void EvrFreeRTOSStreamBuf_StreamBufferCreateFailed | ( | uint32_t | uxIsMessageBuffer | ) |

Parameters

  [in] | uxIsMessageBuffer | buffer type designator (0:stream, 1:message).

The event StreamBufferCreateFailed is generated when Stream Buffer or Message Buffer object create fails due to insufficient heap memory.

Value in the Event Recorder shows:

- uxIsMessageBuffer : buffer type designator, 0 for stream buffer and 1 for message buffer.

void EvrFreeRTOSStreamBuf_StreamBufferCreateStaticFailed | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | uxIsMessageBuffer
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | uxIsMessageBuffer | buffer type designator (0:stream, 1:message).

The event StreamBufferCreateStaticFailed is generated when statically allocated Stream Buffer or Message Buffer object fails to initialize.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to statically allocated Stream Buffer object handle.
- uxIsMessageBuffer : buffer type designator, 0 for stream buffer and 1 for message buffer.

void EvrFreeRTOSStreamBuf_StreamBufferDelete | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferDelete is generated when Stream Buffer object is deallocated or cleared in case of static allocation.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferReceive | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | xReceivedLength
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | xReceivedLength | number of bytes copied from the buffer

The event StreamBufferReceive is generated when Stream Buffer receive is called.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.
- xReceivedLength : number of bytes copied from the stream buffer

void EvrFreeRTOSStreamBuf_StreamBufferReceiveFailed | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferReceiveFailed is generated when Stream Buffer receive is called and there is no data to receive.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferReceiveFromIsr | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | xReceivedLength
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | xReceivedLength | number of bytes copied from the buffer

The event StreamBufferReceiveFromIsr is generated when Stream Buffer receive is called from the ISR.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.
- xReceivedLength : number of bytes copied from the stream buffer

void EvrFreeRTOSStreamBuf_StreamBufferReset | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferReset is generated when Stream Buffer object is reset and re-initialized.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferSend | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | xBytesSent
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | xBytesSent | number of bytes copied into the buffer

The event StreamBufferSend is generated when Stream Buffer sends the data into the buffer.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.
- xBytesSent : number of bytes copied into the stream buffer

void EvrFreeRTOSStreamBuf_StreamBufferSendFailed | ( | StreamBuffer_t | pxStreamBuffer | ) |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.

The event StreamBufferSendFailed is generated when Stream Buffer failed to send data into the buffer.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.

void EvrFreeRTOSStreamBuf_StreamBufferSendFromIsr | ( | StreamBuffer_t | pxStreamBuffer,
|  | uint32_t | xBytesSent
| ) |  |

Parameters

  [in] | pxStreamBuffer | pointer to Stream Buffer object handle.
  [in] | xBytesSent | number of bytes copied into the buffer

The event StreamBufferSendFromIsr is generated when Stream Buffer send was called from the ISR.

Value in the Event Recorder shows:

- pxStreamBuffer : pointer to Stream Buffer object handle.
- xBytesSent : number of bytes copied into the stream buffer